commit:     abbd5bc1fb887a69220b3e1c70520c15eb0c55bd
Author:     Kent Fredric <kentfredric <AT> gmail <DOT> com>
AuthorDate: Wed May  4 12:20:48 2016 +0000
Commit:     Andreas Hüttel <dilfridge <AT> gentoo <DOT> org>
CommitDate: Fri May  6 22:30:09 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=abbd5bc1

dev-perl/DBD-SQLite: Bump to version 1.500.0

- EAPI6
- Moved the use of system-sqlite into a USE="system-sqlite" useflag,
  as compiling against all present versions of dev-db/sqlite results
  in test failres that don't occur with the native version.
  Said Useflag is also off by default for that reason.

Upstream:
- Updated to bundled SQLite 3.10.2
- Added a ReadOnly connection flag.
- General improvments in ::Constants conveniences.
- Some bugs fixed in savepoint handling
- allow_multiple_statements retains contents of unprepared_statements

Package-Manager: portage-2.2.28
RepoMan-Options: --include-arches="alpha amd64 amd64-fbsd arm arm64 hppa ia64 
m68k mips nios2 ppc ppc64 riscv s390 sh sparc sparc-fbsd x86 x86-fbsd"

 dev-perl/DBD-SQLite/DBD-SQLite-1.500.0.ebuild | 47 +++++++++++++++++++++++++++
 dev-perl/DBD-SQLite/Manifest                  |  1 +
 dev-perl/DBD-SQLite/metadata.xml              |  3 ++
 3 files changed, 51 insertions(+)

diff --git a/dev-perl/DBD-SQLite/DBD-SQLite-1.500.0.ebuild 
b/dev-perl/DBD-SQLite/DBD-SQLite-1.500.0.ebuild
new file mode 100644
index 0000000..83dd994
--- /dev/null
+++ b/dev-perl/DBD-SQLite/DBD-SQLite-1.500.0.ebuild
@@ -0,0 +1,47 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+
+DIST_AUTHOR=ISHIGAKI
+DIST_VERSION=1.50
+inherit perl-module
+
+DESCRIPTION="Self Contained RDBMS in a DBI Driver"
+
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sh 
~sparc ~x86 ~ppc-aix ~amd64-fbsd ~x86-fbsd ~x86-freebsd ~x86-interix 
~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~x64-solaris 
~x86-solaris"
+IUSE="test system-sqlite"
+
+# NB: Get min sqlite version from sqlite3.c
+RDEPEND="
+       system-sqlite? (
+               >=dev-db/sqlite-3.10.2[extensions(+)]
+       )
+       >=dev-perl/DBI-1.570.0
+       !<dev-perl/DBD-SQLite-1
+       virtual/perl-Scalar-List-Utils
+"
+DEPEND="${RDEPEND}
+       >=virtual/perl-ExtUtils-MakeMaker-6.480.0
+       test? (
+               >=virtual/perl-File-Spec-0.820.0
+               >=virtual/perl-Test-Simple-0.420.0
+       )
+"
+
+src_prepare() {
+       perl-module_src_prepare
+       if use system-sqlite; then
+               einfo "Removing bundled SQLite"
+               # Flip Makefile into system mode.
+               sed -i 's/^if ( 0 )/if ( 1 )/' "${S}"/Makefile.PL || die
+               # remove bundled sqlite (rt.cpan#61361)
+               for i in sqlite3{.c,.h,ext.h} ; do
+                       rm ${i} || die
+                       sed -i -e "/^${i}\$/d" MANIFEST || die
+               done
+               myconf="SQLITE_LOCATION=${EPREFIX}/usr"
+       fi
+}

diff --git a/dev-perl/DBD-SQLite/Manifest b/dev-perl/DBD-SQLite/Manifest
index 0607431..c828889 100644
--- a/dev-perl/DBD-SQLite/Manifest
+++ b/dev-perl/DBD-SQLite/Manifest
@@ -1 +1,2 @@
 DIST DBD-SQLite-1.48.tar.gz 1769115 SHA256 
b397230f5d4cdc9923f91c62da9e535234f3055c528ede75afd7d24698030ea6 SHA512 
9c00decdb6730c0e4be3fdd01fef6ebad0452cbe1b5141c23fee7d0c5ca0089f3cd4e5d70d331e959ec50546bb10154a3c2db4bfd27993912d5c788cef0a81ee
 WHIRLPOOL 
8313333ba47203d2eb1434266af250dcfe9e360d697155d82bb24b6f0c0abf650d3cc787e6b9c93144e790de16aa1c318032626f867977b8dfeee92be53c3b12
+DIST DBD-SQLite-1.50.tar.gz 2023829 SHA256 
3ac513ab73944fd7d4b672e1fe885dc522b6369d38f46a68e67e0045bf159ce1 SHA512 
6ef903ef5a08511caf962d255d1245d83398ca0c807d86463eae86d7408b8ec271e9d7176c120cf6843a12d3670114c1856c85bb737acad9ef79e630dd253c82
 WHIRLPOOL 
ea39ae0eb6bc2202da7e64399e6b8a101944e31c33c2a872225cc28819c68017163a65ce548eff8547b7ad4ecf82b2692eaaf90a724cc0cd69d48a2de5d28f72

diff --git a/dev-perl/DBD-SQLite/metadata.xml b/dev-perl/DBD-SQLite/metadata.xml
index 723a93f..f8fa094 100644
--- a/dev-perl/DBD-SQLite/metadata.xml
+++ b/dev-perl/DBD-SQLite/metadata.xml
@@ -5,6 +5,9 @@
     <email>[email protected]</email>
     <name>Gentoo Perl Project</name>
   </maintainer>
+  <use>
+    <flag name="system-sqlite">Use the system-wide <pkg>dev-db/sqlite</pkg> 
installation</flag>
+  </use>
   <upstream>
     <remote-id type="cpan">DBD-SQLite</remote-id>
     <remote-id type="cpan-module">DBD::SQLite</remote-id>

Reply via email to